### Name: supported
### Title: ~~function to do ... ~~
### Aliases: supported
### Keywords: ~kwd1 ~kwd2

### ** Examples

##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--         or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (shapes, howmany = 200) 
#
#  Supported returns the (howmany) most frequent shapes in the 
#  vector or matrix shapes as a list
#  
{
  tab <-  table(as.vector(shapes))
  if (length(tab) < howmany) howmany <- length(tab)
    s <- sort(-tab)
    trees <- names(s[1:howmany])
    freq <- as.vector(-s[1:howmany])
    list(trees = as.integer(trees), freq = freq, p = freq/sum(tab))
  }



